<?php

class Sample extends CI_Controller {

    public function index()
    {
        $providers = array(
            'google'    => 'png',
            'yahoo'     => 'gif',
            'docomo'    => 'gif',
            'mixi'      => 'gif',
            'livedoor'  => 'gif',
            'biglobe'   => 'gif',
            'facebook'  => 'png',
            'hatena'    => 'gif',
        );

        echo "<html><body><h2>OpenID Sample</h2><table>\n";

        foreach ($providers as $provider => $type) {
            echo '<tr><td style="border: 1px solid;"><a href="/openid/' . $provider . '/auth/">';
            echo '<img src="data:image/' . $type . ';base64,';
            $img = $this->_base64_img();
            echo $img[$provider];
            echo '" border="0" width="150" height="30" style="margin: 10px;"></a></td></tr>' . "\n";
        }

        echo "</table></body></html>\n";
    }

    private function _base64_img()
    {
$b64['google'] =
"iVBORw0KGgoAAAANSUhEUgAAAewAAABsCAYAAACo7YEMAAAQnklEQVR42u2dWZBcVRmA8SVWCVZp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";

$b64['biglobe'] =
"R0lGODlhlgAeAPf/ANrj8mik4mah3/P2+0h3xmeRy6K+4fHx8cfm9nzC787OzuXl5Ud4xUh6xejo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";

$b64['yahoo'] =
"R0lGODlhgwAfAOYAAPk1XFNONfVMbmpjRIV7TPrliufUhevdpf/TQNrLjfv356abiMm9jEM+Kvjc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";

$b64['docomo'] =
"R0lGODlhoAAgAOf+AO+Ko9Y0XNQuWMUbRdo5YeaUqMwlT+uZrt1uieipuc4oUvPK1MwmT+KGncYe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";

$b64['mixi'] =
"R0lGODlhgwAcAPfUAP///8zMzP79/e7s4/38+/39/NGtWv7+/u/t4+/t5O7r4vDt5vz7+vHu5/v7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";

$b64['livedoor'] =
"R0lGODlhlgAeAPf/AOlBQeyBgeuUlO91dZybm+ZAQOMXF89XV/3w8OUtLTUrKPKVlWprafaxse5x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==";

$b64['facebook'] =
"iVBORw0KGgoAAAANSUhEUgAAAJcAAAAWCAYAAADNcw4EAAAGL0lEQVRo3u2ZbWvbVhTH+zn2DfYB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";

$b64['hatena'] =
"R0lGODlheAAUAPcAAP///1J5532b7XOS7Onu/J608pOr8N7m+miK6sHX/7PE9OTt/6i88+jw//v8
/77N9tnm//T3/dPd+cDW/+zy/0t058DX/7/W/93p/8LX/7/N9r7V/3iW7Iqk712B6dXk/2qM6qq9
8/X3/05259Td+fT3/73U//Dz/PD1//f6/+Pq+szf/5Gq8PP2/Mnc/0lz58fb/0ly57rK9cXZ/1J4
6WqM7F6D6lV86Yeh79fm/9vp/9Hb+ODn+8Ta/1R76UVv5/j6/4Og7+Dr/5mw8c3Y9/38/4ai8H+c
7e3y/4Sf7oWh7/r7/oGe72uM7D9r5kBs5kRu573M9snV94ah8D9q5vf4/8vf/8ba/0Zw58jc/3iY
7XGR65Cp8MrV93aW7Y6o8P7+/c/h/+zv/OTq+kdx56C280pz6MjV91R66dPk/5Kq8PH1/0x15//+
/8jU9z5q5mCE6khx5+7y/N/r/0Nu57HD9Iij7/79//v8/f3+/dvo/01251N56URv58jd/8TZ/9jm
//3+/0hy58jb/16C6sPR9myN7MzX98LY/1Z86efs+qO58/n7/5Kr8Iij7k115/r8/6y/9MvW98vX
+OXr+vb3//z9/QAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH/C1hNUCBEYXRhWE1QPD94
cGFja2V0IGJlZ2luPSLvu78iIGlkPSJXNU0wTXBDZWhpSHpyZVN6TlRjemtjOWQiPz4gPHg6eG1w
bWV0YSB4bWxuczp4PSJhZG9iZTpuczptZXRhLyIgeDp4bXB0az0iQWRvYmUgWE1QIENvcmUgNS4w
LWMwNjAgNjEuMTM0Nzc3LCAyMDEwLzAyLzEyLTE3OjMyOjAwICAgICAgICAiPiA8cmRmOlJERiB4
bWxuczpyZGY9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkvMDIvMjItcmRmLXN5bnRheC1ucyMiPiA8
cmRmOkRlc2NyaXB0aW9uIHJkZjphYm91dD0iIiB4bWxuczp4bXA9Imh0dHA6Ly9ucy5hZG9iZS5j
b20veGFwLzEuMC8iIHhtbG5zOnhtcE1NPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvbW0v
IiB4bWxuczpzdFJlZj0iaHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wL3NUeXBlL1Jlc291cmNl
UmVmIyIgeG1wOkNyZWF0b3JUb29sPSJBZG9iZSBQaG90b3Nob3AgQ1M1IFdpbmRvd3MiIHhtcE1N
Okluc3RhbmNlSUQ9InhtcC5paWQ6OUY3Njg0RTFBMzgxMTFFMDkxNTU5QUY0QTc4NjIzOTkiIHht
cE1NOkRvY3VtZW50SUQ9InhtcC5kaWQ6OUY3Njg0RTJBMzgxMTFFMDkxNTU5QUY0QTc4NjIzOTki
PiA8eG1wTU06RGVyaXZlZEZyb20gc3RSZWY6aW5zdGFuY2VJRD0ieG1wLmlpZDo5Rjc2ODRERkEz
ODExMUUwOTE1NTlBRjRBNzg2MjM5OSIgc3RSZWY6ZG9jdW1lbnRJRD0ieG1wLmRpZDo5Rjc2ODRF
MEEzODExMUUwOTE1NTlBRjRBNzg2MjM5OSIvPiA8L3JkZjpEZXNjcmlwdGlvbj4gPC9yZGY6UkRG
PiA8L3g6eG1wbWV0YT4gPD94cGFja2V0IGVuZD0iciI/PgH//v38+/r5+Pf29fTz8vHw7+7t7Ovq
6ejn5uXk4+Lh4N/e3dzb2tnY19bV1NPS0dDPzs3My8rJyMfGxcTDwsHAv769vLu6ubi3trW0s7Kx
sK+urayrqqmop6alpKOioaCfnp2cm5qZmJeWlZSTkpGQj46NjIuKiYiHhoWEg4KBgH9+fXx7enl4
d3Z1dHNycXBvbm1sa2ppaGdmZWRjYmFgX15dXFtaWVhXVlVUU1JRUE9OTUxLSklIR0ZFRENCQUA/
Pj08Ozo5ODc2NTQzMjEwLy4tLCsqKSgnJiUkIyIhIB8eHRwbGhkYFxYVFBMSERAPDg0MCwoJCAcG
BQQDAgEAACH5BAAAAAAALAAAAAB4ABQAAAj/AAEIHEiwoMGDCBMqXMiwocOHECMCCEBRwEEBFANI
nJhxo0eJXRrR0KIBj0AVBWgYUiBnYUaLBjFS3JhR48ebDI08eTGiAh0fYsq8ibOHzY9EEhS+vNhR
Yk2cUBW2UOClAKWBYDQEYUGE4dKYTSM+jUoWwAkFNdR0FehggRUISAZOrcFCEsKvBWXaFBu27M0p
TmL0hOKDRA4TEzIk2DBjjREqgnr2uZG0IF6CegtK6ECRQwiONmuOFbgDBwiKIHDssDwzShKKR3gE
0sw5gGfQCMcUsKFEw0BGGAZ9aCB3d29LBy8PzDyQgegAzJ/PFGhAegADBDO+rgmCB0HnopkL/yzS
IMwCBwQbfMBQieChIFwUEUQCAYKI7BWZTgcwwHpT6wKBR5EHCNRUwED+BXDEQP0lONBhFii2QRYO
6GFChIv5UUIkZpAxwiM/3EDCAglcoNgFM6AgUIKiCVRATQPo1ddoBGQ0AAkCEdBgAASsmJEdBwwx
1os2yrgfAOpdsEIDRQhEAQRKLgDESSzwAUcBJwgkAgR/uIDBlD6yOFONFCFwgEARVDdjWAoM2ONA
ERQYwIGgITCQkGNmZCaaah5ZkAhCUPBnoAVBskADd9wl5kxtUnQmZmvuZ6R0W4TJwECTdNRoAI8u
1xdbc8AwQQIWwKBDW1eMagEip1KQxgUJLP8GiIqsQaefRmrCRNADke61aGgULYEfrvkVxKufApWA
gQsW9ACBoMq6MIGzgqawwAoTTDAcerXqCulMuRp07F6g+bpomLUCEK6xnxZEa0FVtGFQCikkpJxA
mW3aKb69DnRaAHa65KemGe0LgHgO5fGACnzZClaeZT6a5mjlDiRFRtgNNG4h6A4LAJkAS9wnuQud
wQQWFbxAyCJvelVsXk0RSVGMzw1L7o4IFMDAjo4gOPB0MgdAc4sOufEFGhXE0EQdLQvsMMz77Qig
z0ce4IF1HkRAdboCSS2dRA9kCdG9B/cl4Ev9EkTApAI0/anZzyHsV7e30tbZZ2kXJENNMhgK9Laf
m92Nm0ABAQA7";

        return $b64;
    }
}
